Package org.silverpeas.components.silvercrawler.servlets

## Class GoToCrawler

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.silverpeas.core.web.util.servlet.GoTo
      - - org.silverpeas.components.silvercrawler.servlets.GoToCrawler

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public class GoToCrawler
      extends org.silverpeas.core.web.util.servlet.GoTo

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.web.util.servlet.GoTo

      `org.silverpeas.core.web.util.servlet.GoTo.Context`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.web.util.servlet.GoTo

      `util`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GoToCrawler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDestination​(String objectId, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` |

    - ### Methods inherited from class org.silverpeas.core.web.util.servlet.GoTo

      `doGet, doPost, getContentLanguage, getDestination, getObjectId, getUserId, isUserAllowed, isUserLogin, sendJson, setGefSpaceId`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GoToCrawler

          public GoToCrawler()

  - ### Method Detail

    - #### getDestination

          public String getDestination​(String objectId,
                                       javax.servlet.http.HttpServletRequest req,
                                       javax.servlet.http.HttpServletResponse res)
                                throws Exception

      Specified by:
        `getDestination` in class `org.silverpeas.core.web.util.servlet.GoTo`
      Throws:
        `Exception`